unit uAbout;

interface

uses
  Windows, SysUtils, Classes, Graphics, Controls, Forms, ExtCtrls,
  StdCtrls, jpeg;

type
  TFormAbout = class(TForm)
    ImageLogo: TImage;
    LabelEmulators: TLabel;
    LabelAuthor: TLabel;
    LabelLogoAuthor: TLabel;
    LabelFrontendVersion: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormAbout: TFormAbout;

implementation

uses uCommon, uMain;

{$R *.DFM}

procedure TFormAbout.FormCreate(Sender: TObject);
begin
  if FileExists(FormMain.FrontendPath+'resources\images\logo\About.jpg') then
     ImageLogo.Picture.LoadFromFile(FormMain.FrontendPath+'resources\images\logo\About.jpg');
end;

procedure TFormAbout.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if ((Key = #27) or (Key = #13)) then
     Close;
end;

procedure TFormAbout.FormShow(Sender: TObject);
begin
  Caption:= FormMain.FixCaption(FormMain.MenuAbout.Caption);
end;

end.


